Subject: bug#30796: 27.0.50; window-text-pixel-size returns wrong values

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Mar 2018 19:46:26 +0200

> From: Sebastien Chapuis <[email-masked]>
> Date: Tue, 13 Mar 2018 23:36:59 +0000
> 
> This code reproduces the issue:
> 
> (let* ((buffer (with-current-buffer (get-buffer-create "*test-window*")
>                  (erase-buffer)
>                  (insert "hellooooooooo\na\nb\n")
>                  (goto-char 1)
>                  (setq mode-line-format nil)
>                  (current-buffer)))
>        (window (display-buffer-in-child-frame
>                 buffer
>                 `((child-frame-parameters . ((left . 10)
>                                              (no-accept-focus . t)
>                                              (no-focus-on-map . t)
>                                              (min-width  . 0)
>                                              (width  . 0)
>                                              (min-height  . 0)
>                                              (height  . 0)
>                                              (internal-border-width . 1)
>                                              (vertical-scroll-bars . nil)
>                                              (horizontal-scroll-bars . nil)
>                                              (left-fringe . 0)
>                                              (right-fringe . 0)
>                                              (menu-bar-lines . 0)
>                                              (tool-bar-lines . 0)
>                                              (line-spacing . 0)
>                                              (unsplittable . t)
>                                              (undecorated . t)
>                                              (top . 10)
>                                              (visibility . nil)
>                                              (mouse-wheel-frame . nil)
>                                              (no-other-frame . t)
>                                              (cursor-type . nil)
>                                              (inhibit-double-buffering . t)
>                                              (drag-internal-border . t)
>                                              (no-special-glyphs . t)
>                                              (default-minibuffer-frame . ,(selected-frame))
>                                              (minibuffer . ,(minibuffer-window))
>                                              (background-color . "red")
>                                              )))))
>        (frame (window-frame window))
>        (size (window-text-pixel-size window nil nil 10000 10000)))
>   (set-frame-size frame (car size) (cdr size) t)
>   size)

Thanks, this should be already fixed on master.  I found yesterday a
stupid omission in my original commit and fixed it.